Bug 182943 - keeping existing partitions/LVM setup and autoconfigure without free OTHER free space causes exception
keeping existing partitions/LVM setup and autoconfigure without free OTHER fr...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
:
Depends On:
Blocks: 234547
  Show dependency treegraph
 
Reported: 2006-02-24 12:16 EST by Barry Marson
Modified: 2010-10-22 00:17 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0816
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:35:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-drive.patch (1.22 KB, patch)
2006-11-02 05:41 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Barry Marson 2006-02-24 12:16:57 EST
While trying to install RHEL4 U3 RC2 and keep my existing LVM/partitions and go
into auto configure, I get an exception with ...

  File "/usr/src/build/711711-ia64/install//usr/lib/anaconda/gui.py", line 789,
in nextClicked
    self.dispatch.gotoNext()
  File "/usr/src/build/711711-ia64/install//usr/lib/anaconda/dispatch.py", line
171, in gotoNext
    self.moveStep()
  File "/usr/src/build/711711-ia64/install//usr/lib/anaconda/dispatch.py", line
239, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/src/build/711711-ia64/install//usr/lib/anaconda/autopart.py", line
1369, in doAutoPartition
    for d in r.drive:
AttributeError: RaidRequestSpec instance has no attribute 'drive'

All space is allocated by the existing config but I suspect the installer is
suppose to tell us that it can't do the right thing/or is doing the wrong thing
and thus bombing out.

Barry
Comment 1 Bastien Nocera 2006-11-02 05:41:26 EST
Created attachment 140099 [details]
anaconda-drive.patch

Patch from ddearauj@us.ibm.com
Comment 2 RHEL Product and Program Management 2006-11-06 11:24:31 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 RHEL Product and Program Management 2007-05-09 06:48:02 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 Chris Lumens 2007-05-09 11:02:37 EDT
This is going to require careful testing to make sure it doesn't cause other bugs.
Comment 12 errata-xmlrpc 2007-11-15 11:35:00 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0816.html

Note You need to log in before you can comment on or make changes to this bug.